view lib-src/vcdiff @ 9690:f6d4e1acb5a1

(Fx_create_frame): Don't increment refernce_count until the frame is put on the frame list. (Fx_close_connection): Call x_delete_display. (x_display_info_for_name, Fx_open_connection): Signal error if x_term_init fails. (Fx_open_connection): New arg must_succeed. (x_real_positions): Catch errors and retry if error happens. No need to block input here. (Fx_create_frame): Don't store the frame name till after FRAME_X_DISPLAY_INFO is set up. (Fx_close_connection): Renamed from Fx_close_current_connection Many doc fixes and Lisp function arg renamings. (x_bitmaps, x_bitmap_size, x_bitmap_last): Variables deleted. Use fields in x_display_info instead. (x_bitmaps_free): Variable deleted. (x_destroy_bitmap, x_allocate_bitmap_record): Don't use or set it. (x_allocate_bitmap_record): New arg f. Callers changed. (x_lookup_pixmap): Function deleted. (x_destroy_all_bitmaps): New function. (Fx_close_current_connection): Call x_destroy_all_bitmaps. Free the fonts in the font table. Free various other data that dpyinfo points to. Avoid using Fdelq. (x_set_name, Fx_create_frame): Use x_id_name field. (Fx_close_current_connection): Call delete_keyboard_wait_descriptor. (Fx_close_current_connection): Call check_x_display_info. Delete the display from x_display_list and x_display_name_list. (Fx_display_list): New function. (syms_of_xfns): defsubr it. (Fx_list_fonts): Use `name_list_element' field. (x_display_info_for_name): Scan x_display_name_list along with x_display_list.
author Richard M. Stallman <rms@gnu.org>
date Tue, 25 Oct 1994 10:33:36 +0000
parents 7124a811b67b
children da322c027bf0
line wrap: on
line source

#!/bin/sh
#
# Enhanced sccs diff utility for use with vc mode.
# This version is more compatible with rcsdiff(1).
#
#	$Id: vcdiff,v 1.3 1993/08/25 08:18:56 eggert Exp eggert $
#

DIFF="diff"
usage="$0: Usage: vcdiff [--brief] [-q] [-r<sid1>] [-r<sid2>] [diffopts] sccsfile..."

PATH=$PATH:/usr/ccs/bin:/usr/sccs # common SCCS hangouts

echo=
sid1=-r sid2=

for f
do
	case $f in
	-*)
		case $f in
		--brief)
			DIFF=cmp;;
		-q)
			echo=:;;
		-r?*)
			case $sid1 in
			-r)
				sid1=$f
				;;
			*)
				case $sid2 in
				?*) echo "$usage" >&2; exit 2 ;;
				esac
				sid2=$f
				;;
			esac
			;;
		*)
			options="$options $f"
			;;
		esac
		shift
		;;
	*)
		break
		;;
	esac
done

case $# in
0)
	echo "$usage" >&2
	exit 2
esac


rev1= rev2= status=0
trap 'status=2; exit' 1 2 13 15
trap 'rm -f $rev1 $rev2 || status=2; exit $status' 0

for f
do
	s=2

	case $f in
	s.* | */s.*)
		if
			rev1=/tmp/geta$$
			get -s -p -k $sid1 "$f" > $rev1 &&
			case $sid2 in
			'')
				workfile=`expr " /$f" : '.*/s.\(.*\)'`
				;;
			*)
				rev2=/tmp/getb$$
				get -s -p -k $sid2 "$f" > $rev2
				workfile=$rev2
			esac
		then
			$echo $DIFF $options $sid1 $sid2 $workfile >&2
			$DIFF $options $rev1 $workfile
			s=$?
		fi
		;;
	*)
		echo "$0: $f is not an SCCS file" >&2
	esac

	if test $status -lt $s
	then status=$s
	fi
done